Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Seam UI JSF2 support 2.3.0.Final
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.seam.ui.component.html
Class HtmlFileUpload

    java.lang.Object
      javax.faces.component.UIComponent
          javax.faces.component.UIComponentBase
              javax.faces.component.UIOutput
                  javax.faces.component.UIInput
                      org.jboss.seam.ui.component.UIFileUpload
                          org.jboss.seam.ui.component.html.HtmlFileUpload

All Implemented Interfaces:
  EventListener, javax.faces.component.behavior.ClientBehaviorHolder, javax.faces.component.EditableValueHolder, javax.faces.component.PartialStateHolder, javax.faces.component.StateHolder, javax.faces.component.TransientStateHolder, javax.faces.component.ValueHolder, javax.faces.event.ComponentSystemEventListener, javax.faces.event.FacesListener, javax.faces.event.SystemEventListenerHolder

    @Generated(value={"RichFaces CDK","4.2.2.Final"})
    public class HtmlFileUpload

extends UIFileUpload
implements javax.faces.component.behavior.ClientBehaviorHolder

Renders a file upload control. This control must be used within a form with an encoding type of multipart/form-data

Nested Class Summary
`protected static class` | `HtmlFileUpload.Properties`

Nested classes/interfaces inherited from class org.jboss.seam.ui.component.UIFileUpload
`UIFileUpload.LocalUploadValue`

Field Summary
`static String` | `COMPONENT_FAMILY`
`static String` | `COMPONENT_TYPE`

Fields inherited from class javax.faces.component.UIInput
`CONVERSION_MESSAGE_ID, REQUIRED_MESSAGE_ID, UPDATE_MESSAGE_ID, VALIDATE_EMPTY_FIELDS_PARAM_NAME`

Fields inherited from class javax.faces.component.UIComponent
`ATTRS_WITH_DECLARED_DEFAULT_VALUES, BEANINFO_KEY, bindings, COMPOSITE_COMPONENT_TYPE_KEY, COMPOSITE_FACET_NAME, CURRENT_COMPONENT, CURRENT_COMPOSITE_COMPONENT, FACETS_KEY, HONOR_CURRENT_COMPONENT_ATTRIBUTES_PARAM_NAME, VIEW_LOCATION_KEY`

Constructor Summary
`HtmlFileUpload()`

Method Summary
`String` | `getAccept()`
`String` | `getContentType()`
`Object` | `getData()`
`String` | `getDefaultEventName()`
`Collection<String>` | `getEventNames()`
`String` | `getFamily()`
`String` | `getFileName()`
`Integer` | `getFileSize()`
`String` | `getOnblur()`
`String` | `getOnfocus()`
`String` | `getStyle()`
`String` | `getStyleClass()`
`String` | `getTabindex()`
`String` | `getTitle()`
`void` | `setAccept(String accept)`
`void` | `setContentType(String contentType)`
`void` | `setData(Object data)`
`void` | `setFileName(String fileName)`
`void` | `setFileSize(Integer fileSize)`
`void` | `setOnblur(String onblur)`
`void` | `setOnfocus(String onfocus)`
`void` | `setStyle(String style)`
`void` | `setStyleClass(String styleClass)`
`void` | `setTabindex(String tabindex)`
`void` | `setTitle(String title)`

Methods inherited from class org.jboss.seam.ui.component.UIFileUpload
`getLocalContentType, getLocalFileName, getLocalFileSize, getLocalInputStream, getLocalValue, isLocalValueSet, processUpdates, setLocalContentType, setLocalFileName, setLocalFileSize, setLocalInputStream, setValue`

Methods inherited from class javax.faces.component.UIInput
`addValidator, addValueChangeListener, clearInitialState, compareValues, decode, getConvertedValue, getConverterMessage, getRequiredMessage, getSubmittedValue, getValidator, getValidatorMessage, getValidators, getValueChangeListener, getValueChangeListeners, isEmpty, isImmediate, isRequired, isValid, markInitialState, processDecodes, processValidators, removeValidator, removeValueChangeListener, resetValue, restoreState, saveState, setConverterMessage, setImmediate, setLocalValueSet, setRequired, setRequiredMessage, setSubmittedValue, setValid, setValidator, setValidatorMessage, setValueChangeListener, updateModel, validate, validateValue`

Methods inherited from class javax.faces.component.UIOutput
`getConverter, getValue, setConverter`

Methods inherited from class javax.faces.component.UIComponentBase
`addClientBehavior, addFacesListener, broadcast, encodeBegin, encodeChildren, encodeEnd, findComponent, getAttributes, getChildCount, getChildren, getClientBehaviors, getClientId, getFacesContext, getFacesListeners, getFacet, getFacetCount, getFacets, getFacetsAndChildren, getId, getListenersForEventClass, getParent, getRenderer, getRendererType, getRendersChildren, getValueBinding, invokeOnComponent, isRendered, isTransient, processRestoreState, processSaveState, queueEvent, removeFacesListener, restoreAttachedState, saveAttachedState, setId, setParent, setRendered, setRendererType, setTransient, setValueBinding, subscribeToEvent, unsubscribeFromEvent`

Methods inherited from class javax.faces.component.UIComponent
`encodeAll, getClientId, getCompositeComponentParent, getContainerClientId, getCurrentComponent, getCurrentCompositeComponent, getNamingContainer, getResourceBundleMap, getStateHelper, getStateHelper, getTransientStateHelper, getTransientStateHelper, getValueExpression, initialStateMarked, isCompositeComponent, isInView, isVisitable, popComponentFromEL, processEvent, pushComponentToEL, restoreTransientState, saveTransientState, setInView, setValueExpression, visitTree`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface javax.faces.component.behavior.ClientBehaviorHolder
`addClientBehavior, getClientBehaviors`

Methods inherited from interface javax.faces.component.ValueHolder
`getConverter, getValue, setConverter`

Field Detail

### COMPONENT_TYPE

    public static final String COMPONENT_TYPE

See Also:
  Constant Field Values

### COMPONENT_FAMILY

    public static final String COMPONENT_FAMILY

See Also:
  Constant Field Values

Constructor Detail

### HtmlFileUpload

    public HtmlFileUpload()

Method Detail

### getFamily

    public String getFamily()

  Overrides:
    `getFamily` in class `javax.faces.component.UIInput`

### getEventNames

    public Collection<String> getEventNames()

  Specified by:
    `getEventNames` in interface `javax.faces.component.behavior.ClientBehaviorHolder`
  Overrides:
    `getEventNames` in class `javax.faces.component.UIComponentBase`

### getDefaultEventName

    public String getDefaultEventName()

  Specified by:
    `getDefaultEventName` in interface `javax.faces.component.behavior.ClientBehaviorHolder`
  Overrides:
    `getDefaultEventName` in class `javax.faces.component.UIComponentBase`

### getAccept

    public String getAccept()

  Specified by:
    `getAccept` in class `UIFileUpload`

### setAccept

    public void setAccept(String accept)

  Specified by:
    `setAccept` in class `UIFileUpload`

### getContentType

    public String getContentType()

### setContentType

    public void setContentType(String contentType)

### getData

    public Object getData()

### setData

    public void setData(Object data)

### getFileName

    public String getFileName()

### setFileName

    public void setFileName(String fileName)

### getFileSize

    public Integer getFileSize()

### setFileSize

    public void setFileSize(Integer fileSize)

### getOnblur

    public String getOnblur()

### setOnblur

    public void setOnblur(String onblur)

### getOnfocus

    public String getOnfocus()

### setOnfocus

    public void setOnfocus(String onfocus)

### getStyle

    public String getStyle()

  Specified by:
    `getStyle` in class `UIFileUpload`

### setStyle

    public void setStyle(String style)

  Specified by:
    `setStyle` in class `UIFileUpload`

### getStyleClass

    public String getStyleClass()

  Specified by:
    `getStyleClass` in class `UIFileUpload`

### setStyleClass

    public void setStyleClass(String styleClass)

  Specified by:
    `setStyleClass` in class `UIFileUpload`

### getTabindex

    public String getTabindex()

### setTabindex

    public void setTabindex(String tabindex)

### getTitle

    public String getTitle()

### setTitle

    public void setTitle(String title)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Seam UI JSF2 support 2.3.0.Final
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2012 Seam Framework. All Rights Reserved.